clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
llvm::yaml::MappingTraits< ClangTidyOptions > Struct Template Reference

## Static Public Member Functions
static void | mapping (IO &IO, ClangTidyOptions &Options)

## Detailed Description

### template<>
struct llvm::yaml::MappingTraits< ClangTidyOptions >

Definition at line 83 of file ClangTidyOptions.cpp.

## Member Function Documentation

static void llvm::yaml::MappingTraits< ClangTidyOptions >::mapping | ( | IO & | IO,
|  | ClangTidyOptions & | Options
| ) |  |
| inline static

Definition at line 84 of file ClangTidyOptions.cpp.

References clang::tidy::ClangTidyOptions::AnalyzeTemporaryDtors, clang::tidy::ClangTidyOptions::CheckOptions, clang::tidy::ClangTidyOptions::Checks, clang::tidy::ClangTidyOptions::ExtraArgs, clang::tidy::ClangTidyOptions::ExtraArgsBefore, clang::tidy::ClangTidyOptions::HeaderFilterRegex, and clang::tidy::ClangTidyOptions::User.

The documentation for this struct was generated from the following file:

- ClangTidyOptions.cpp